Your access tokens
GET
/v1/me/tokens
const url = 'https://api.gampeon.com/v1/me/tokens';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.gampeon.com/v1/me/tokens \ --header 'Authorization: Bearer <token>'Active, expired and revoked tokens of the last 90 days. The token itself is never shown again. Only with a portal session. Access tokens cannot manage tokens (403 token_not_allowed).
Not available with access tokens.
Authorizations
Section titled “Authorizations”Responses
Section titled “Responses”Tokens
Media typeapplication/json
object
tokens
required
Array<object>
object
id
required
Token ID, used to revoke it and to filter the activity log
string
name
required
string
prefix
required
First characters of the token (gpat_ and 4 more), to recognise it
string
scopes
required
Array<string>
createdAt
required
Unix time in milliseconds
integer format: int64
expiresAt
required
Unix time in milliseconds
integer format: int64
status
required
string
Example
{ "tokens": [ { "scopes": [ "profile:read" ], "status": "active" } ]}Error codes: unauthorized
Media typeapplication/json
object
error
required
Machine-readable error code, for example not_found or rate_limited.
string
message
Human-readable detail. Only present for some errors.
string
Example generated
{ "error": "example", "message": "example"}Error codes: token_not_allowed
Media typeapplication/json
object
error
required
Machine-readable error code, for example not_found or rate_limited.
string
message
Human-readable detail. Only present for some errors.
string
Example generated
{ "error": "example", "message": "example"}